Last Comment Bug 704756 - Button on german localized Navigation Toolbar's customization panel is cropped
: Button on german localized Navigation Toolbar's customization panel is cropped
Status: RESOLVED WORKSFORME
: intl, polish, ux-consistency
Product: Mozilla Localizations
Classification: Client Software
Component: de / German (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Kadir Topal [:atopal]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 22:41 PST by Sierk Bornemann
Modified: 2014-03-16 15:38 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot_2011-11-23.png (67.63 KB, image/png)
2011-11-22 22:41 PST, Sierk Bornemann
no flags Details
Screenshot TenFourFox 9.0 German (92.51 KB, image/png)
2011-12-21 04:45 PST, ChrisX
no flags Details
Screenshot TenFourFox 10.0 German (93.41 KB, image/png)
2012-01-31 14:35 PST, ChrisX
no flags Details

Description Sierk Bornemann 2011-11-22 22:41:46 PST
Created attachment 576412 [details]
screenshot_2011-11-23.png

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0) Gecko/20100101 Firefox/9.0
Build ID: 20111116091359

Steps to reproduce:

Firefox German:

Navigation Toolbar's customization panel: rightclick Navigation Toolbar -> Customize... (Navigations-Symbolleiste -> Anpassen...)


Actual results:

The button [Standard wiederherstellen] at the bottom right is cropped and should therefore be positioned some pixels more to the left.



Expected results:

The button [Standard wiederherstellen] at the bottom right should not be cropped and should be positioned some pixels more to the left.
Comment 1 ChrisX 2011-12-21 04:37:35 PST
For TenFourFox, I "fixed" this in the same way as in bug 684286. The string is in locale/de/global/customizeToolbar.dtd.

But this is really *not* the way it should be fixed. The button must be repositioned, or the dialog/window must widen automatically. This is a general issue that can't be dealt with in the localization files. I'm sure there are other languages that have longer words than English that are also affected.
Comment 2 ChrisX 2011-12-21 04:45:07 PST
Created attachment 583457 [details]
Screenshot TenFourFox 9.0 German
Comment 3 ChrisX 2012-01-31 14:34:05 PST
For TenFourFox 10.0, I found a slightly better fix.
Comment 4 ChrisX 2012-01-31 14:35:29 PST
Created attachment 593222 [details]
Screenshot TenFourFox 10.0 German
Comment 5 Sebastian H. [:aryx][:archaeopteryx] 2014-03-16 15:38:32 PDT
Fixed by the Australis theme in Aurora 29.0a2, the text does now fit.

Note You need to log in before you can comment on or make changes to this bug.